#
# spec file for package rubygem-slop
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-slop
Version:        4.2.0
Release:        5.3
%define mod_name slop
%define mod_full_name %{mod_name}-%{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  %{ruby >= 2.0.0}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  ruby-macros >= 5
Url:            http://github.com/leejarvis/slop
Source:         http://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        Simple Lightweight Option Parsing
License:        MIT
Group:          Development/Languages/Ruby

%description
A DSL for gathering options and parsing command line flags.

%prep

%build

%install
%gem_install \
  --doc-files="CHANGELOG.md LICENSE README.md" \
  -f

%gem_packages

%changelog
* Fri Jun 19 2015 coolo@suse.com
- updated to version 4.2.0
  see installed CHANGELOG.md
  v4.2.0 (2015-04-18)
  - ------------------
  Features:
  * Support for Regexp option type #167 (Laurent Arnoud)
  * Support prefixed `--no-` for explicitly setting boolean options
    to `false` #168
  * Better handling of flags with multiple words #169 (Tim Rogers)
* Thu Apr 23 2015 coolo@suse.com
- updated to version 4.1.0
  Features:
  * Support for FloatOption #156 (Rick Hull)
  * Support for `limit` config to ArrayOption.
  * Support for `tail` config to add options to the bottom of
    the help text.
  * Add explicit setter (#[]=) to Result class. #162
  * Implement flag gettings for UnknownOption and MissingArgument
    error classes. #165 (sigurdsvela)
  Minor enhancements:
  * Reset parser every time `parse` is called.
  Bug fixes:
  * Remove "--" from unprocessed arguments #157 (David Rodríguez).
* Tue Feb 10 2015 coolo@suse.com
- updated to version 4.0.0
* Sun Oct 12 2014 coolo@suse.com
- updated to version 3.6.0
  * Add example of rest arguments usage in the readme file #139
  * Default values on options are printed in the help message #134
- new rubygem packaging
* Tue Mar 18 2014 coolo@suse.com
- updated to version 3.5.0
  * Add support for `as: Regexp` #132
* Fri Nov 22 2013 coolo@suse.com
- updated to version 3.4.7
  * Ensure trash is cleared on every parse so you can parse multiple
  times with the same instance (#130)
* Tue Jul 30 2013 coolo@suse.com
- updated to version 3.4.6
  * Ensure short-options still consume trailing arguments, ie `-abc foo`
  should assign `foo` to the option `c` if it expects an argument (#114).
* Wed May 15 2013 coolo@suse.com
- updated to version 3.4.5
  * Allow specifying long options starting with numbers (#110, Peter Zotov)
* Mon Mar 18 2013 coolo@suse.com
- updated to version 3.4.4
  * Disable the run callback when the help option is used and `-h`
  or `--help` is passed. #106
  * Ensure default `--help` option exits by default (#107, Autumn Perrault).
* Sun Jan 20 2013 coolo@suse.com
- updated to version 3.4.3
  * Ensure `parse!` removes commands and their options.
  * Expose the Hash commands as public API.
  * Deprecated `Slop.optspec`.
  * Ensure help output prints to stdout, not stderr.
  * Ensure options replace any existing duplicates
  * Command config options now inherit config options from top level Slop.
  * Command help output now adds command in usage string.
  * Implement new command system (#95)
  * Deprecate Slop::Commands
  * Ensure 'no-foo' options are not inverted when parsing '--no-foo' (#86)
  * Code refactoring and simplification (Kenichi Kamiya, #84, #85)
* Thu Aug 30 2012 coolo@suse.com
- update to 3.3.3 and merge rubygem-slop-3_3
  * Ensure autocreate arguments are not created as options (#77)
  * Ensure options are not swallowed when using short options with argument
  included (#74)
* Thu Apr 12 2012 saschpe@suse.de
- Update to version 2.4.4:
  * No upstream changelog for this version (yet)
* Tue Jan 24 2012 mrueckert@suse.de
- update to version 2.4.3
  * Allow the `:as` option to accept an object responding to :call
    for custom type conversions (#45)
  * Ensure negative integers are not parsed as possible options (#46)
- additional changes from 2.4.2
  * Fix checking of required options (Dominik Honnef)
- additional changes from 2.4.1
  * Ensure optional arguments are returned correctly
- additional changes from 2.4.0
  * Avoid `define_method` for checking an options presence
    (and caching it) #37
  * Ensure the short option allows an appended `=` for accepting
    arguments
  * Implement `respond_to?`
- additional changes from 2.3.1
  * Return `nil` for any options using casting which don't expect
    arguments (#33)
  * Fix parenthesis warning on 1.8.7 (@shevegen)
  * Ensure long argument is a string before attempting to use `#[]`
    method on it
- additional changes from 2.3.0
  * Allow flags to have suffixed `=` char for options which accept
    an argument
- additional changes from 2.2.0
  * Support `bup.options` style optspec parsing
  * http://apenwarr.ca/log/?m=201111
  * Allow `:as` to accept a `count` value (Conrad Irwin):
    `on :v, :verbose, :as => :count # -vv; opts[:verbose] #=> 2`
* Thu Sep 15 2011 mrueckert@suse.de
- update to version 2.1.0
  * Added `Slop#missing` for returning a list of missing options
    parsed
  * Allow `Slop#present?` to accept multiple arguments
  * Added `:all_accept_arguments` to Slop configuration options,
    this saves having to specify that every option takes an
    argument
  * Added `Slop#to_struct` for building new classes from options
- additional changes from 2.0.0
  * Deprecations:
  * Removed `Slop::Options#to_hash` continue using `Slop#to_hash`
    directly.  This method also now returns symbols by default
    instead of strings. If you want strings use
    `opts.to_hash(false)`
  * `:multiple_switches` is now enabled by default, to parse
    `fbar` as the option `f` with value `bar` you must disable
    `:multiple_switches`
  * Removed `Slop::Options#to_help` and merged its contents into
    `Slop#help`
  * Removed `lib/slop/options.rb` and merged `Slop::Options` into
    slop.rb
  * Removed `lib/slop/option.rb` and merged `Slop::Option` into
    slop.rb
  * These changes make Slop much easier to vendor in libraries
  * `Slop::Option` now inherits from `Struct.new`
  * Added Slop::Error subclassing from StandardError which all
    exception classes should inherit from
  * Added Slop::MissingOptionError and `:required` option to
    Slop::Option.  This exception is raised when a mandatory option
    is not used
* Tue Jul  5 2011 mrueckert@suse.de
- update to slop 1.9.1
  * Ensure optional items with no arguments still return true when
    searching for presence
- additional changes from 1.9.1
  * Add command completion and support for an error message when
    ambiguous commands are used
  * Add command aliases
  * Fix: Ensure parsed elements are removed from original arguments
    when using `:multiple_switches`
  * Ensure anything after `--` is parsed as an argument and not
    option even if prefixed with `/--?/`
  * Performance improvements when making many calls to
    `Slop#option?` for checking an options presence (Rob Gleeson)
  * Ensure `execute` passes command arguments to the block
  * Support for summary and description (Denis Defreyne)
- additional changes from 1.8.0
  * Added `execute` method to Slop for commands. This block will be
    invoked when a specific command is used. The Slop object will
    be yielded to the block
  * Allow passing a class name to `on` to be used as an `:as`
    option. ie: `on :people, 'Some people', Array`
  * Get smart with parsing options optparse style: `on '--name
    NAME'` and `on 'password [OPTIONAL]'`
  * Feature: `:arguments` setting to enable argument passing for
    all options
- additional changes from 1.7.0
  * Feature: Autocreate (auto create options at parse time, making
    assumptions)
  * Feature: When parsing options as arrays, push multiple
    arguments into a single array
- additional changes from 1.6.1
  * Fix tests and using a temporary Array for ARGV, fixes RubyGems
    Test issues
  * General cleanup of code
* Thu May 19 2011 mrueckert@suse.de
- slop 1.6.0
  * Add `:ignore_case` to Slop options for case insensitive option
    matching
  * Add `:on_noopts` for triggering an event when the arguments
    contain no options
  * Add `:unless` to Slop::Option for omitting execution of the
  * Options block when this object exists in the Array of items
  * passed to Slop.new
  * Bugfix: Do not parse negative integers as options. A valid
    option must start with an alphabet character
  * Bugfix: Allow a Range to accept a negative Integer at either
    end
* Tue May  3 2011 mrueckert@suse.de
- update to 1.5.5
  - only grab options that are actually options
* Mon May  2 2011 mrueckert@suse.de
- update to 1.5.4
  - parse! shouldn't remove unparsed items with same value as a
    parsed item.
* Tue Apr 26 2011 mrueckert@suse.de
- update to 1.5.3
* Fri Mar 18 2011 mrueckert@suse.de
- initial package (v1.1.0)
